Package com.google.android.exoplayer2.util

## Interface MediaClock

- All Known Implementing Classes:
    `DecoderAudioRenderer`, `FakeMediaClockRenderer`, `FfmpegAudioRenderer`, `LibflacAudioRenderer`, `LibopusAudioRenderer`, `MediaCodecAudioRenderer`, `StandaloneMediaClock`

      public interface MediaClock

  Tracks the progression of media time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PlaybackParameters` | `getPlaybackParameters()` | Returns the active playback parameters.
    `long` | `getPositionUs()` | Returns the current media position in microseconds.
    `void` | `setPlaybackParameters​(PlaybackParameters playbackParameters)` | Attempts to set the playback parameters.

- - ### Method Detail

    - #### getPositionUs

          long getPositionUs()

      Returns the current media position in microseconds.

    - #### setPlaybackParameters

          void setPlaybackParameters​(PlaybackParameters playbackParameters)

      Attempts to set the playback parameters. The media clock may override the speed if changing the playback parameters is not supported.
      Parameters:
        `playbackParameters` - The playback parameters to attempt to set.

    - #### getPlaybackParameters

          PlaybackParameters getPlaybackParameters()

      Returns the active playback parameters.